
Calculate Linux - Bug # 223: Ð½Ðµ Ð·Ð°Ð¿ÑƒÑ•ÐºÐ°ÐµÑ‚Ñ•Ñ• cl-install

Status: Closed Priority: Normal

Author: ovod none Category:

Created: 01/22/2011 Assignee:

Updated: 01/23/2011 Due date:

Subject: Ð½Ðµ Ð·Ð°Ð¿ÑƒÑ•ÐºÐ°ÐµÑ‚Ñ•Ñ• cl-install

Description: ovod@calculate ~ $ cl-install 


<pre>


Traceback (most recent call last):


  File "/usr/bin/cl-install", line 28, in <module>


    from cl_install_cmd import install_cmd


  File "/usr/lib/calculate-2.2/calculate-install/pym/cl_install_cmd.py", line 20, in <module>


    from cl_install import cl_install, InstallError, __app__, __version__,\


  File "/usr/lib/calculate-2.2/calculate-install/pym/cl_install.py", line 56, in <module>


    from cl_template import template


  File "/usr/lib/calculate-2.2/calculate-lib/pym/cl_template.py", line 22, in <module>


    from xml import xpath


ImportError: cannot import name xpath


</pre>





History

01/22/2011 09:31 pm - ovod none

ovod@calculate ~ $ equery b cl-install


 * Searching for cl-install ... 


sys-apps/calculate-install-2.2.5 (/usr/bin/cl-install)











ovod@calculate ~ $ emerge --info


Portage 2.2.0_alpha15_p2 (default/linux/x86/10.0, gcc-4.4.5, glibc-2.12.2-r0, 2.6.36.2-calculate i686)


=================================================================


System uname: Linux-2.6.36.2-calculate-i686-Intel-R-_Core-TM-_i3_CPU_M_330_@_2.13GHz-with-gentoo-2.0.1


Timestamp of tree: Sat, 22 Jan 2011 17:30:01 +0000


ccache version 3.1.4 [enabled]


app-shells/bash:     4.1_p9


dev-java/java-config: 2.1.11-r3


dev-lang/python:     2.6.6-r1, 2.7.1, 3.1.3


dev-util/ccache:     3.1.4


dev-util/cmake:      2.8.3-r1


sys-apps/baselayout: 2.0.1-r1


sys-apps/openrc:     0.7.0


sys-apps/sandbox:    2.4


sys-devel/autoconf:  2.13, 2.68


sys-devel/automake:  1.7.9-r2, 1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.1


sys-devel/binutils:  2.21


sys-devel/gcc:       4.3.5, 4.4.5, 4.5.2


sys-devel/gcc-config: 1.4.1


sys-devel/libtool:   2.4-r1


sys-devel/make:      3.82


virtual/os-headers:  2.6.36.1 (sys-kernel/linux-headers)
Repositories: gentoo calculate voip mozilla crg x11 rion


ACCEPT_KEYWORDS="x86 ~x86 ~x86-linux"


ACCEPT_LICENSE="*"


CBUILD="i686-pc-linux-gnu"


CFLAGS="-march=prescott -O2 -fomit-frame-pointer -pipe"


CHOST="i686-pc-linux-gnu"


CONFIG_PROTECT="/etc /usr/share/config /usr/share/openvpn/easy-rsa /var/lib/hsqldb"


CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf 

/etc/gentoo-release /etc/php/apache2-php5.2/ext-active/ /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5.2/ext-active/ /etc/php/cgi-php5/ext-active/ 

/etc/php/cli-php5.2/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo"


CXXFLAGS="-march=prescott -O2 -fomit-frame-pointer -pipe"


DISTDIR="/var/calculate/remote/distfiles"


EMERGE_DEFAULT_OPTS="--jobs=4"


FEATURES="assume-digests binpkg-logs candy ccache distlocks fixlafiles fixpackages metadata-transfer news nostrip parallel-fetch preserve-libs 

protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox"


GENTOO_MIRRORS="http://distfiles.gentoo.org"


LANG="ru_RU.utf8"


LDFLAGS="-Wl,--as-needed"


LINGUAS="en ru"


MAKEOPTS="-j5"


PKGDIR="/var/calculate/remote/packages/CLD/i686"


PORTAGE_CONFIGROOT="/"


PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 

--exclude=/distfiles --exclude=/local --exclude=/packages"


PORTAGE_TMPDIR="/var/calculate/tmp"


PORTDIR="/usr/portage"


PORTDIR_OVERLAY="/var/lib/layman/calculate /var/lib/layman/voip /var/lib/layman/mozilla /var/lib/layman/crg /var/lib/layman/x11 

/var/lib/layman/rion"


SYNC="rsync://rsync.gentoo.org/gentoo-portage"


USE="3dnow 3dnowext X a52 aac aacs aalib acl acpi alisp alsa amr apng audiofile avi bash-completion berkdb bfq bfs bittorrent bluetooth bluray 

bzip2 cairo cddb cdparanoia cdr chardet chm clamav cli consolekit cpudetection cracklib crypt css cups custom-cpuopts cxx dbus dirac djvu dri dts dv 

dvd dvdr dvdread dynamicplugin ebook enable-nls enca encode exif faac fbcon fdftk ffmpeg flac flash foomaticdb fortran ftp gallium gd gdbm ggi gif 

gphoto2 gpm gtk hal hardened hipe iconv id3tag ieee1394 imagemagick ipod ipv6 irc jabber javascript jingle jpeg jpeg2k kde ldap libass libcaca 

libmpeg2 libnotify libwww lirc logrotate lzo mad madwifi matroska mbox mikmod mmx mmxext mng modules moonlight mp3 mpeg mplayer mudflap 

musepack mysql nas ncurses networkmanager nfs nls nptl nptlonly nsplugin nvidia ogg oggvorbis openal opencore-amr openexr opengl openmp 

oscar pam pcre pdf perl png policykit portaudio pppd python qt3support qt4 quicktime raw rdesktop readline rtmp run-as-root samba scanner 

schroedinger sdl semantic-desktop session slang smp speex spell srt sse sse2 sse3 sse4.1 sse4.2 sse4a sse5 ssl ssse3 svg sysfs system-v8 tcpd tga 

theora tiff truetype twolame unicode usb userlocales v4l v4l2 vaapi vcd vdpau vhosts vidix vlm vorbis vpx webkit win32codecs wma-fixed wmf 

wxwindows x264 x86 xanim xcomposite xine xinerama xorg xpm xv xvid xvmc yahoo zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm 

alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route 

share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm 

authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires 

ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id 

userdir usertrack vhost_alias" CALCULATE="printer wireless" CAMERAS="*" CDISTRO="CLD desktop" COLLECTD_PLUGINS="df interface irq load 

memory rrdtool swap syslog" ELIBC="glibc" FOO2ZJS_DEVICES="*" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin 

garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" 

INPUT_DEVICES="keyboard mouse synaptics evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb 

ncurses text" LINGUAS="en ru" PHP_TARGETS="php5-3 php5-2" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="radeon 

radeonhd intel fbdev vesa glint fglrx ati" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition 

tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 


Unset:  CPPFLAGS, CTARGET, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, 

PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
01/22/2011 09:33 pm - Alexander Tratsevskiy

ÐŸÐ¾Ð¿Ñ€Ð¾Ð±ÑƒÐ¹Ñ‚Ðµ Ð¾Ð±Ð½Ð¾Ð²Ð¸Ñ‚ÑŒ ÑƒÑ‚Ð¸Ð»Ð¸Ñ‚Ñ‹ Ð´Ð¾ Ð²ÐµÑ€Ñ•Ð¸Ð¸ 2.2.8:





 layman -S; emerge calculate-install-gui calculate-client calculate-desktop

01/22/2011 09:39 pm - ovod none

Ñ•Ð´ÐµÐ»Ð°Ð», Ñ‚ÐµÐ¿ÐµÑ€ÑŒ








ovod@calculate ~ $ cl-install


Traceback (most recent call last):


  File "/usr/bin/cl-install", line 28, in <module>


    from cl_install_cmd import install_cmd


  File "/usr/lib/calculate-2.2/calculate-install/pym/cl_install_cmd.py", line 20, in <module>


    from cl_install import cl_install, InstallError, __app__, __version__,\


  File "/usr/lib/calculate-2.2/calculate-install/pym/cl_install.py", line 57, in <module>


    from cl_template import template


  File "/usr/lib/calculate-2.2/calculate-lib/pym/cl_template.py", line 22, in <module>


    from xml import xpath


ImportError: cannot import name xpath


01/23/2011 08:23 pm - ovod none

Ð¿Ð¾Ñ‡Ð¸Ð½Ð¸Ð»Ð¾Ñ•ÑŒ Ð¿Ð¾Ñ•Ð»Ðµ Ð¿ÐµÑ€ÐµÑ•Ð±Ð¾Ñ€ÐºÐ¸ Ð¿Ð°ÐºÐµÑ‚Ð° pyxml

01/23/2011 08:57 pm - Alexander Tratsevskiy

- Status changed from New to Closed
